---
config_version: "0.1"

distros:
  pmOS:
    display_name: "postmarketOS"
    # todo: better name for this field????
    images_url: "https://images.postmarketos.org/bpo/index.json"
    logo: "pmos-logo.png"
    releases:
      edge:
        # regexp to match for version string
        regexp: "edge"
        description: "Edge is recommended for development (latest features, occasional breakage)."
      stable:
        regexp: "^v[0-9]*\\.[0-9]*$"
        description: "The latest release, recommended for best stability"

  mobian:
    display_name: "Mobian"
    images_url: "https://images.mobian.org/index.xml" # or whatever
    logo: "mobian_logo.png"

devices:
  pine64-pinephone:
    display_name: "Pine64 PinePhone"
    # one of: raw, fastboot, heimdall, uuu
    flasher: "raw"
    photo: "pine64-pinephone.png"

  purism-librem5:
    display_name: "Purism Librem5"
    # one of: raw, fastboot, heimdall, uuu
    flasher: "uuu"
    photo: "purism-librem5.png"

  motorola-harpia:
    display_name: "Motorola G4 Play"
    # one of: raw, fastboot, heimdall, uuu
    flasher: "fastboot"

interfaces:
  phosh:
    display_name: "Phosh"
    description: "Mobile interface developed by Purism, based on the GNOME stack"
    photo: "phosh.png"

  plasma-mobile:
    display_name: "Plasma Mobile"
    description: "Mobile version of KDE Plasma, based on the KDE stack"
    photo: "plasma-mobile.png"

  sxmo:
    display_name: "Sxmo (Simple X Mobile)"
    description: "Tiling WM that uses hardware buttons and touch gestures for control"
    photo: "sxmo.png"
